<template>
  <v-footer
    dark
    padless
  >
    <v-card
      class="flex"
      flat
      tile
    >
      <v-card-title class="white">
        <strong class="subheading blue-grey--text text--darken-4">Get connected with us on social networks!</strong>

        <v-spacer></v-spacer>

        <v-btn
          v-for="social in socials"
          :key="social.url"
          class="mx-4"
          dark
          icon
        >
          <v-icon color="blue-grey darken-4" @click="gotosite(social.url)" size="24px">{{ social.icon }}</v-icon>
        </v-btn>
      </v-card-title>

      <v-card-text class="py-2 white--text text-center">
        {{ new Date().getFullYear() }} — <strong>BitcoinCharts</strong>
      </v-card-text>
    </v-card>
  </v-footer>
</template>
<script>
  export default {
    data() {
        return {
          socials: [
            { url: 'https://fr-fr.facebook.com/', icon: 'mdi-facebook' },
            { url: 'https://twitter.com/', icon: 'mdi-twitter' },
            { url: 'https://www.linkedin.com/in/alexandre-barbosa-82846a10b/', icon: 'mdi-linkedin' },
            { url: 'https://www.instagram.com/', icon: 'mdi-instagram' },
          ]
        }
    },
    methods : {
      gotosite(url){
        window.location.href = url
      }
    }
  }
</script>
<style>
    
</style>